<?php
	global $sess;

	$Ad_cykl = $_POST['Ad_cykl'];
	$Ad_wszystkie_przedmioty = $sess->get('Ad_init_all');	
	foreach ($Ad_wszystkie_przedmioty as $key => $value) {
		if ($_POST[$key])
			$nowa_wart = 'Y';
		else 
			$nowa_wart = 'N';
		$s = "update XP_ZAJECIA_CYKLI "
			."SET XP_OBSLUGA='$nowa_wart' "
			."WHERE ID=$key";
		$q = new CQuery ($s);
	}
	$s = "update XP_CYKLE_DYDAKTYCZNE "
		."set XP_OBSLUGA='Y' "
		."where KOD='$Ad_cykl'";
	$q = new CQuery ($s);

?>
